searchData={"items":[{"type":"module","doc":"A HTTP client for the Humaans API.\n\n[Humaans API Docs](https://docs.humaans.io/api/)","title":"Humaans","ref":"Humaans.html"},{"type":"module","doc":"# Create a client\n    client = Humaans.new(access_token: \"some-access-token\")\n\n    # Make API calls\n    {:ok, people} = Humaans.People.list(client)\n    {:ok, person} = Humaans.People.retrieve(client, \"123\")","title":"Examples - Humaans","ref":"Humaans.html#module-examples"},{"type":"function","doc":"Access the Bank Accounts API.\n\nReturns the module that contains functions for working with bank account resources.","title":"Humaans.bank_accounts/0","ref":"Humaans.html#bank_accounts/0"},{"type":"function","doc":"Access the Companies API.\n\nReturns the module that contains functions for working with company resources.","title":"Humaans.companies/0","ref":"Humaans.html#companies/0"},{"type":"function","doc":"Access the Compensation Types API.\n\nReturns the module that contains functions for working with compensation type resources.","title":"Humaans.compensation_types/0","ref":"Humaans.html#compensation_types/0"},{"type":"function","doc":"Access the Compensations API.\n\nReturns the module that contains functions for working with compensation resources.","title":"Humaans.compensations/0","ref":"Humaans.html#compensations/0"},{"type":"function","doc":"Creates a new client with the given access token and optional parameters.","title":"Humaans.new/1","ref":"Humaans.html#new/1"},{"type":"function","doc":"* `:access_token` - The access token to use for authentication (required)\n  * `:base_url` - The base URL for API requests (defaults to https://app.humaans.io/api)","title":"Options - Humaans.new/1","ref":"Humaans.html#new/1-options"},{"type":"function","doc":"iex> client = Humaans.new(access_token: \"some-access-token\")\n    iex> is_map(client)\n    true","title":"Examples - Humaans.new/1","ref":"Humaans.html#new/1-examples"},{"type":"function","doc":"Access the People API.\n\nReturns the module that contains functions for working with people resources.","title":"Humaans.people/0","ref":"Humaans.html#people/0"},{"type":"function","doc":"Access the Timesheet Entries API.\n\nReturns the module that contains functions for working with timesheet entry resources.","title":"Humaans.timesheet_entries/0","ref":"Humaans.html#timesheet_entries/0"},{"type":"function","doc":"Access the Timesheet Submissions API.\n\nReturns the module that contains functions for working with timesheet submission resources.","title":"Humaans.timesheet_submissions/0","ref":"Humaans.html#timesheet_submissions/0"},{"type":"behaviour","doc":"This module provides functions for managing bank account resources in the\nHumaans API.","title":"Humaans.BankAccounts","ref":"Humaans.BankAccounts.html"},{"type":"function","doc":"Creates a new bank account resource.","title":"Humaans.BankAccounts.create/2","ref":"Humaans.BankAccounts.html#create/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Map of parameters for the new bank account","title":"Parameters - Humaans.BankAccounts.create/2","ref":"Humaans.BankAccounts.html#create/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{\n      personId: \"person_id\",\n      accountType: \"personal\",\n      accountHolder: \"Jane Doe\",\n      accountNumber: \"12345678\",\n      sortCode: \"01-02-03\"\n    }\n\n    {:ok, account} = Humaans.BankAccounts.create(client, params)","title":"Examples - Humaans.BankAccounts.create/2","ref":"Humaans.BankAccounts.html#create/2-examples"},{"type":"callback","doc":"","title":"Humaans.BankAccounts.create/2","ref":"Humaans.BankAccounts.html#c:create/2"},{"type":"function","doc":"Deletes a specific bank account by ID.","title":"Humaans.BankAccounts.delete/2","ref":"Humaans.BankAccounts.html#delete/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the bank account to delete","title":"Parameters - Humaans.BankAccounts.delete/2","ref":"Humaans.BankAccounts.html#delete/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, result} = Humaans.BankAccounts.delete(client, \"account_id\")\n    # result contains %{id: \"account_id\", deleted: true}","title":"Examples - Humaans.BankAccounts.delete/2","ref":"Humaans.BankAccounts.html#delete/2-examples"},{"type":"callback","doc":"","title":"Humaans.BankAccounts.delete/2","ref":"Humaans.BankAccounts.html#c:delete/2"},{"type":"type","doc":"","title":"Humaans.BankAccounts.delete_response/0","ref":"Humaans.BankAccounts.html#t:delete_response/0"},{"type":"function","doc":"Lists all bank account resources.\n\nReturns a list of bank account resources that match the optional filters provided in `params`.","title":"Humaans.BankAccounts.list/2","ref":"Humaans.BankAccounts.html#list/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Optional parameters for filtering the results (default: `%{}`)","title":"Parameters - Humaans.BankAccounts.list/2","ref":"Humaans.BankAccounts.html#list/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    # List all bank accounts\n    {:ok, accounts} = Humaans.BankAccounts.list(client)\n\n    # List with filtering parameters\n    {:ok, accounts} = Humaans.BankAccounts.list(client, %{limit: 10})","title":"Examples - Humaans.BankAccounts.list/2","ref":"Humaans.BankAccounts.html#list/2-examples"},{"type":"callback","doc":"","title":"Humaans.BankAccounts.list/2","ref":"Humaans.BankAccounts.html#c:list/2"},{"type":"type","doc":"","title":"Humaans.BankAccounts.list_response/0","ref":"Humaans.BankAccounts.html#t:list_response/0"},{"type":"type","doc":"","title":"Humaans.BankAccounts.response/0","ref":"Humaans.BankAccounts.html#t:response/0"},{"type":"function","doc":"Retrieves a specific bank account by ID.","title":"Humaans.BankAccounts.retrieve/2","ref":"Humaans.BankAccounts.html#retrieve/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the bank account to retrieve","title":"Parameters - Humaans.BankAccounts.retrieve/2","ref":"Humaans.BankAccounts.html#retrieve/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, account} = Humaans.BankAccounts.retrieve(client, \"account_id\")","title":"Examples - Humaans.BankAccounts.retrieve/2","ref":"Humaans.BankAccounts.html#retrieve/2-examples"},{"type":"callback","doc":"","title":"Humaans.BankAccounts.retrieve/2","ref":"Humaans.BankAccounts.html#c:retrieve/2"},{"type":"function","doc":"Updates a specific bank account by ID.","title":"Humaans.BankAccounts.update/3","ref":"Humaans.BankAccounts.html#update/3"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the bank account to update\n  * `params` - Map of parameters to update","title":"Parameters - Humaans.BankAccounts.update/3","ref":"Humaans.BankAccounts.html#update/3-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{accountHolder: \"Janet Doe\"}\n\n    {:ok, updated_account} = Humaans.BankAccounts.update(client, \"account_id\", params)","title":"Examples - Humaans.BankAccounts.update/3","ref":"Humaans.BankAccounts.html#update/3-examples"},{"type":"callback","doc":"","title":"Humaans.BankAccounts.update/3","ref":"Humaans.BankAccounts.html#c:update/3"},{"type":"behaviour","doc":"This module provides functions for managing company resources in the Humaans\nAPI.  Note that unlike other resources, companies can only be listed,\nretrieved, and updated, but not created or deleted through the API.","title":"Humaans.Companies","ref":"Humaans.Companies.html"},{"type":"function","doc":"Retrieves a specific company by ID.","title":"Humaans.Companies.get/2","ref":"Humaans.Companies.html#get/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the company to retrieve","title":"Parameters - Humaans.Companies.get/2","ref":"Humaans.Companies.html#get/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, company} = Humaans.Companies.get(client, \"company_id\")","title":"Examples - Humaans.Companies.get/2","ref":"Humaans.Companies.html#get/2-examples"},{"type":"callback","doc":"","title":"Humaans.Companies.get/2","ref":"Humaans.Companies.html#c:get/2"},{"type":"function","doc":"Lists all company resources.\n\nReturns a list of company resources that match the optional filters provided in `params`.","title":"Humaans.Companies.list/2","ref":"Humaans.Companies.html#list/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Optional parameters for filtering the results (default: `%{}`)","title":"Parameters - Humaans.Companies.list/2","ref":"Humaans.Companies.html#list/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    # List all companies\n    {:ok, companies} = Humaans.Companies.list(client)\n\n    # List with filtering parameters\n    {:ok, companies} = Humaans.Companies.list(client, %{limit: 10})","title":"Examples - Humaans.Companies.list/2","ref":"Humaans.Companies.html#list/2-examples"},{"type":"callback","doc":"","title":"Humaans.Companies.list/2","ref":"Humaans.Companies.html#c:list/2"},{"type":"type","doc":"","title":"Humaans.Companies.list_response/0","ref":"Humaans.Companies.html#t:list_response/0"},{"type":"type","doc":"","title":"Humaans.Companies.response/0","ref":"Humaans.Companies.html#t:response/0"},{"type":"function","doc":"Updates a specific company by ID.","title":"Humaans.Companies.update/3","ref":"Humaans.Companies.html#update/3"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the company to update\n  * `params` - Map of parameters to update","title":"Parameters - Humaans.Companies.update/3","ref":"Humaans.Companies.html#update/3-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{name: \"New Company Name\"}\n\n    {:ok, updated_company} = Humaans.Companies.update(client, \"company_id\", params)","title":"Examples - Humaans.Companies.update/3","ref":"Humaans.Companies.html#update/3-examples"},{"type":"callback","doc":"","title":"Humaans.Companies.update/3","ref":"Humaans.Companies.html#c:update/3"},{"type":"behaviour","doc":"This module provides functions for managing compensation type resources in the\nHumaans API. Compensation types are used to define different categories of\ncompensation such as salary, bonus, commission, etc.","title":"Humaans.CompensationTypes","ref":"Humaans.CompensationTypes.html"},{"type":"function","doc":"Creates a new compensation type resource.","title":"Humaans.CompensationTypes.create/2","ref":"Humaans.CompensationTypes.html#create/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Map of parameters for the new compensation type","title":"Parameters - Humaans.CompensationTypes.create/2","ref":"Humaans.CompensationTypes.html#create/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{\n      name: \"Annual Bonus\",\n      category: \"bonus\",\n      payFrequency: \"once\",\n      recurring: true\n    }\n\n    {:ok, comp_type} = Humaans.CompensationTypes.create(client, params)","title":"Examples - Humaans.CompensationTypes.create/2","ref":"Humaans.CompensationTypes.html#create/2-examples"},{"type":"callback","doc":"","title":"Humaans.CompensationTypes.create/2","ref":"Humaans.CompensationTypes.html#c:create/2"},{"type":"function","doc":"Deletes a specific compensation type by ID.","title":"Humaans.CompensationTypes.delete/2","ref":"Humaans.CompensationTypes.html#delete/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the compensation type to delete","title":"Parameters - Humaans.CompensationTypes.delete/2","ref":"Humaans.CompensationTypes.html#delete/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, result} = Humaans.CompensationTypes.delete(client, \"type_id\")\n    # result contains %{id: \"type_id\", deleted: true}","title":"Examples - Humaans.CompensationTypes.delete/2","ref":"Humaans.CompensationTypes.html#delete/2-examples"},{"type":"callback","doc":"","title":"Humaans.CompensationTypes.delete/2","ref":"Humaans.CompensationTypes.html#c:delete/2"},{"type":"type","doc":"","title":"Humaans.CompensationTypes.delete_response/0","ref":"Humaans.CompensationTypes.html#t:delete_response/0"},{"type":"function","doc":"Lists all compensation type resources.\n\nReturns a list of compensation type resources that match the optional filters provided in `params`.","title":"Humaans.CompensationTypes.list/2","ref":"Humaans.CompensationTypes.html#list/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Optional parameters for filtering the results (default: `%{}`)","title":"Parameters - Humaans.CompensationTypes.list/2","ref":"Humaans.CompensationTypes.html#list/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    # List all compensation types\n    {:ok, types} = Humaans.CompensationTypes.list(client)\n\n    # List with filtering parameters\n    {:ok, types} = Humaans.CompensationTypes.list(client, %{limit: 10})","title":"Examples - Humaans.CompensationTypes.list/2","ref":"Humaans.CompensationTypes.html#list/2-examples"},{"type":"callback","doc":"","title":"Humaans.CompensationTypes.list/2","ref":"Humaans.CompensationTypes.html#c:list/2"},{"type":"type","doc":"","title":"Humaans.CompensationTypes.list_response/0","ref":"Humaans.CompensationTypes.html#t:list_response/0"},{"type":"type","doc":"","title":"Humaans.CompensationTypes.response/0","ref":"Humaans.CompensationTypes.html#t:response/0"},{"type":"function","doc":"Retrieves a specific compensation type by ID.","title":"Humaans.CompensationTypes.retrieve/2","ref":"Humaans.CompensationTypes.html#retrieve/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the compensation type to retrieve","title":"Parameters - Humaans.CompensationTypes.retrieve/2","ref":"Humaans.CompensationTypes.html#retrieve/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, comp_type} = Humaans.CompensationTypes.retrieve(client, \"type_id\")","title":"Examples - Humaans.CompensationTypes.retrieve/2","ref":"Humaans.CompensationTypes.html#retrieve/2-examples"},{"type":"callback","doc":"","title":"Humaans.CompensationTypes.retrieve/2","ref":"Humaans.CompensationTypes.html#c:retrieve/2"},{"type":"function","doc":"Updates a specific compensation type by ID.","title":"Humaans.CompensationTypes.update/3","ref":"Humaans.CompensationTypes.html#update/3"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the compensation type to update\n  * `params` - Map of parameters to update","title":"Parameters - Humaans.CompensationTypes.update/3","ref":"Humaans.CompensationTypes.html#update/3-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{name: \"Quarterly Bonus\", payFrequency: \"quarterly\"}\n\n    {:ok, updated_type} = Humaans.CompensationTypes.update(client, \"type_id\", params)","title":"Examples - Humaans.CompensationTypes.update/3","ref":"Humaans.CompensationTypes.html#update/3-examples"},{"type":"callback","doc":"","title":"Humaans.CompensationTypes.update/3","ref":"Humaans.CompensationTypes.html#c:update/3"},{"type":"behaviour","doc":"This module provides functions for managing compensation resources in the\nHumaans API. Compensations represent the actual monetary values assigned to a\nperson under a specific compensation type (e.g., a specific person's salary or\nbonus).","title":"Humaans.Compensations","ref":"Humaans.Compensations.html"},{"type":"function","doc":"Creates a new compensation resource.","title":"Humaans.Compensations.create/2","ref":"Humaans.Compensations.html#create/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Map of parameters for the new compensation","title":"Parameters - Humaans.Compensations.create/2","ref":"Humaans.Compensations.html#create/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{\n      personId: \"person_id\",\n      compensationTypeId: \"comp_type_id\",\n      amount: \"70000\",\n      currency: \"EUR\",\n      period: \"annual\",\n      effectiveDate: \"2023-01-01\"\n    }\n\n    {:ok, compensation} = Humaans.Compensations.create(client, params)","title":"Examples - Humaans.Compensations.create/2","ref":"Humaans.Compensations.html#create/2-examples"},{"type":"callback","doc":"","title":"Humaans.Compensations.create/2","ref":"Humaans.Compensations.html#c:create/2"},{"type":"function","doc":"Deletes a specific compensation by ID.","title":"Humaans.Compensations.delete/2","ref":"Humaans.Compensations.html#delete/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the compensation to delete","title":"Parameters - Humaans.Compensations.delete/2","ref":"Humaans.Compensations.html#delete/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, result} = Humaans.Compensations.delete(client, \"comp_id\")\n    # result contains %{id: \"comp_id\", deleted: true}","title":"Examples - Humaans.Compensations.delete/2","ref":"Humaans.Compensations.html#delete/2-examples"},{"type":"callback","doc":"","title":"Humaans.Compensations.delete/2","ref":"Humaans.Compensations.html#c:delete/2"},{"type":"type","doc":"","title":"Humaans.Compensations.delete_response/0","ref":"Humaans.Compensations.html#t:delete_response/0"},{"type":"function","doc":"Lists all compensation resources.\n\nReturns a list of compensation resources that match the optional filters provided in `params`.","title":"Humaans.Compensations.list/2","ref":"Humaans.Compensations.html#list/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Optional parameters for filtering the results (default: `%{}`)","title":"Parameters - Humaans.Compensations.list/2","ref":"Humaans.Compensations.html#list/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    # List all compensations\n    {:ok, compensations} = Humaans.Compensations.list(client)\n\n    # List with filtering parameters\n    {:ok, compensations} = Humaans.Compensations.list(client, %{personId: \"person_id\"})","title":"Examples - Humaans.Compensations.list/2","ref":"Humaans.Compensations.html#list/2-examples"},{"type":"callback","doc":"","title":"Humaans.Compensations.list/2","ref":"Humaans.Compensations.html#c:list/2"},{"type":"type","doc":"","title":"Humaans.Compensations.list_response/0","ref":"Humaans.Compensations.html#t:list_response/0"},{"type":"type","doc":"","title":"Humaans.Compensations.response/0","ref":"Humaans.Compensations.html#t:response/0"},{"type":"function","doc":"Retrieves a specific compensation by ID.","title":"Humaans.Compensations.retrieve/2","ref":"Humaans.Compensations.html#retrieve/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the compensation to retrieve","title":"Parameters - Humaans.Compensations.retrieve/2","ref":"Humaans.Compensations.html#retrieve/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, compensation} = Humaans.Compensations.retrieve(client, \"comp_id\")","title":"Examples - Humaans.Compensations.retrieve/2","ref":"Humaans.Compensations.html#retrieve/2-examples"},{"type":"callback","doc":"","title":"Humaans.Compensations.retrieve/2","ref":"Humaans.Compensations.html#c:retrieve/2"},{"type":"function","doc":"Updates a specific compensation by ID.","title":"Humaans.Compensations.update/3","ref":"Humaans.Compensations.html#update/3"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the compensation to update\n  * `params` - Map of parameters to update","title":"Parameters - Humaans.Compensations.update/3","ref":"Humaans.Compensations.html#update/3-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{amount: \"75000\", note: \"Annual raise\"}\n\n    {:ok, updated_comp} = Humaans.Compensations.update(client, \"comp_id\", params)","title":"Examples - Humaans.Compensations.update/3","ref":"Humaans.Compensations.html#update/3-examples"},{"type":"callback","doc":"","title":"Humaans.Compensations.update/3","ref":"Humaans.Compensations.html#c:update/3"},{"type":"behaviour","doc":"This module provides functions for managing people resources in the Humaans\nAPI.","title":"Humaans.People","ref":"Humaans.People.html"},{"type":"function","doc":"Creates a new person resource.","title":"Humaans.People.create/2","ref":"Humaans.People.html#create/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Map of parameters for the new person","title":"Parameters - Humaans.People.create/2","ref":"Humaans.People.html#create/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{\n      firstName: \"Jane\",\n      lastName: \"Doe\",\n      email: \"jane@example.com\"\n    }\n\n    {:ok, person} = Humaans.People.create(client, params)","title":"Examples - Humaans.People.create/2","ref":"Humaans.People.html#create/2-examples"},{"type":"callback","doc":"","title":"Humaans.People.create/2","ref":"Humaans.People.html#c:create/2"},{"type":"function","doc":"Deletes a specific person by ID.","title":"Humaans.People.delete/2","ref":"Humaans.People.html#delete/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the person to delete","title":"Parameters - Humaans.People.delete/2","ref":"Humaans.People.html#delete/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, result} = Humaans.People.delete(client, \"person_id\")\n    # result contains %{id: \"person_id\", deleted: true}","title":"Examples - Humaans.People.delete/2","ref":"Humaans.People.html#delete/2-examples"},{"type":"callback","doc":"","title":"Humaans.People.delete/2","ref":"Humaans.People.html#c:delete/2"},{"type":"type","doc":"","title":"Humaans.People.delete_response/0","ref":"Humaans.People.html#t:delete_response/0"},{"type":"function","doc":"Lists all people resources.\n\nReturns a list of people resources that match the optional filters provided in `params`.","title":"Humaans.People.list/2","ref":"Humaans.People.html#list/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Optional parameters for filtering the results (default: `%{}`)","title":"Parameters - Humaans.People.list/2","ref":"Humaans.People.html#list/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    # List all people\n    {:ok, people} = Humaans.People.list(client)\n\n    # List with filtering parameters\n    {:ok, people} = Humaans.People.list(client, %{limit: 10})","title":"Examples - Humaans.People.list/2","ref":"Humaans.People.html#list/2-examples"},{"type":"callback","doc":"","title":"Humaans.People.list/2","ref":"Humaans.People.html#c:list/2"},{"type":"type","doc":"","title":"Humaans.People.list_response/0","ref":"Humaans.People.html#t:list_response/0"},{"type":"type","doc":"","title":"Humaans.People.response/0","ref":"Humaans.People.html#t:response/0"},{"type":"function","doc":"Retrieves a specific person by ID.","title":"Humaans.People.retrieve/2","ref":"Humaans.People.html#retrieve/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the person to retrieve","title":"Parameters - Humaans.People.retrieve/2","ref":"Humaans.People.html#retrieve/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, person} = Humaans.People.retrieve(client, \"person_id\")","title":"Examples - Humaans.People.retrieve/2","ref":"Humaans.People.html#retrieve/2-examples"},{"type":"callback","doc":"","title":"Humaans.People.retrieve/2","ref":"Humaans.People.html#c:retrieve/2"},{"type":"function","doc":"Updates a specific person by ID.","title":"Humaans.People.update/3","ref":"Humaans.People.html#update/3"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the person to update\n  * `params` - Map of parameters to update","title":"Parameters - Humaans.People.update/3","ref":"Humaans.People.html#update/3-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{firstName: \"Janet\"}\n\n    {:ok, updated_person} = Humaans.People.update(client, \"person_id\", params)","title":"Examples - Humaans.People.update/3","ref":"Humaans.People.html#update/3-examples"},{"type":"callback","doc":"","title":"Humaans.People.update/3","ref":"Humaans.People.html#c:update/3"},{"type":"module","doc":"Representation of a Bank Account resource.","title":"Humaans.Resources.BankAccount","ref":"Humaans.Resources.BankAccount.html"},{"type":"function","doc":"","title":"Humaans.Resources.BankAccount.new/2","ref":"Humaans.Resources.BankAccount.html#new/2"},{"type":"type","doc":"","title":"Humaans.Resources.BankAccount.t/0","ref":"Humaans.Resources.BankAccount.html#t:t/0"},{"type":"module","doc":"Representation of a Company resource.","title":"Humaans.Resources.Company","ref":"Humaans.Resources.Company.html"},{"type":"function","doc":"","title":"Humaans.Resources.Company.new/2","ref":"Humaans.Resources.Company.html#new/2"},{"type":"type","doc":"","title":"Humaans.Resources.Company.payment_status/0","ref":"Humaans.Resources.Company.html#t:payment_status/0"},{"type":"type","doc":"","title":"Humaans.Resources.Company.status/0","ref":"Humaans.Resources.Company.html#t:status/0"},{"type":"type","doc":"","title":"Humaans.Resources.Company.t/0","ref":"Humaans.Resources.Company.html#t:t/0"},{"type":"module","doc":"Representation of a Compensation resource.","title":"Humaans.Resources.Compensation","ref":"Humaans.Resources.Compensation.html"},{"type":"type","doc":"","title":"Humaans.Resources.Compensation.base_type/0","ref":"Humaans.Resources.Compensation.html#t:base_type/0"},{"type":"function","doc":"","title":"Humaans.Resources.Compensation.new/2","ref":"Humaans.Resources.Compensation.html#new/2"},{"type":"type","doc":"","title":"Humaans.Resources.Compensation.t/0","ref":"Humaans.Resources.Compensation.html#t:t/0"},{"type":"module","doc":"Representation of a Compensation Type resource.","title":"Humaans.Resources.CompensationType","ref":"Humaans.Resources.CompensationType.html"},{"type":"type","doc":"","title":"Humaans.Resources.CompensationType.base_type/0","ref":"Humaans.Resources.CompensationType.html#t:base_type/0"},{"type":"function","doc":"","title":"Humaans.Resources.CompensationType.new/2","ref":"Humaans.Resources.CompensationType.html#new/2"},{"type":"type","doc":"","title":"Humaans.Resources.CompensationType.t/0","ref":"Humaans.Resources.CompensationType.html#t:t/0"},{"type":"module","doc":"Representation of a Person resource.","title":"Humaans.Resources.Person","ref":"Humaans.Resources.Person.html"},{"type":"function","doc":"","title":"Humaans.Resources.Person.new/2","ref":"Humaans.Resources.Person.html#new/2"},{"type":"type","doc":"","title":"Humaans.Resources.Person.t/0","ref":"Humaans.Resources.Person.html#t:t/0"},{"type":"module","doc":"Representation of a Timesheet Entry resource.","title":"Humaans.Resources.TimesheetEntry","ref":"Humaans.Resources.TimesheetEntry.html"},{"type":"function","doc":"","title":"Humaans.Resources.TimesheetEntry.new/2","ref":"Humaans.Resources.TimesheetEntry.html#new/2"},{"type":"type","doc":"","title":"Humaans.Resources.TimesheetEntry.t/0","ref":"Humaans.Resources.TimesheetEntry.html#t:t/0"},{"type":"module","doc":"Representation of a Timesheet Submission resource.","title":"Humaans.Resources.TimesheetSubmission","ref":"Humaans.Resources.TimesheetSubmission.html"},{"type":"function","doc":"","title":"Humaans.Resources.TimesheetSubmission.new/2","ref":"Humaans.Resources.TimesheetSubmission.html#new/2"},{"type":"type","doc":"","title":"Humaans.Resources.TimesheetSubmission.t/0","ref":"Humaans.Resources.TimesheetSubmission.html#t:t/0"},{"type":"behaviour","doc":"This module provides functions for managing timesheet entry resources in the\nHumaans API. Timesheet entries represent individual time records for a person,\nsuch as hours worked on a specific date.","title":"Humaans.TimesheetEntries","ref":"Humaans.TimesheetEntries.html"},{"type":"function","doc":"Creates a new timesheet entry resource.","title":"Humaans.TimesheetEntries.create/2","ref":"Humaans.TimesheetEntries.html#create/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Map of parameters for the new timesheet entry","title":"Parameters - Humaans.TimesheetEntries.create/2","ref":"Humaans.TimesheetEntries.html#create/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{\n      personId: \"person_id\",\n      date: \"2023-01-10\",\n      startTime: \"09:00:00\",\n      endTime: \"17:00:00\"\n    }\n\n    {:ok, entry} = Humaans.TimesheetEntries.create(client, params)","title":"Examples - Humaans.TimesheetEntries.create/2","ref":"Humaans.TimesheetEntries.html#create/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetEntries.create/2","ref":"Humaans.TimesheetEntries.html#c:create/2"},{"type":"function","doc":"Deletes a specific timesheet entry by ID.","title":"Humaans.TimesheetEntries.delete/2","ref":"Humaans.TimesheetEntries.html#delete/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the timesheet entry to delete","title":"Parameters - Humaans.TimesheetEntries.delete/2","ref":"Humaans.TimesheetEntries.html#delete/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, result} = Humaans.TimesheetEntries.delete(client, \"entry_id\")\n    # result contains %{id: \"entry_id\", deleted: true}","title":"Examples - Humaans.TimesheetEntries.delete/2","ref":"Humaans.TimesheetEntries.html#delete/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetEntries.delete/2","ref":"Humaans.TimesheetEntries.html#c:delete/2"},{"type":"type","doc":"","title":"Humaans.TimesheetEntries.delete_response/0","ref":"Humaans.TimesheetEntries.html#t:delete_response/0"},{"type":"function","doc":"Lists all timesheet entry resources.\n\nReturns a list of timesheet entry resources that match the optional filters provided in `params`.","title":"Humaans.TimesheetEntries.list/2","ref":"Humaans.TimesheetEntries.html#list/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Optional parameters for filtering the results (default: `%{}`)","title":"Parameters - Humaans.TimesheetEntries.list/2","ref":"Humaans.TimesheetEntries.html#list/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    # List all timesheet entries\n    {:ok, entries} = Humaans.TimesheetEntries.list(client)\n\n    # List with filtering parameters\n    {:ok, entries} = Humaans.TimesheetEntries.list(client, %{personId: \"person_id\"})","title":"Examples - Humaans.TimesheetEntries.list/2","ref":"Humaans.TimesheetEntries.html#list/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetEntries.list/2","ref":"Humaans.TimesheetEntries.html#c:list/2"},{"type":"type","doc":"","title":"Humaans.TimesheetEntries.list_response/0","ref":"Humaans.TimesheetEntries.html#t:list_response/0"},{"type":"type","doc":"","title":"Humaans.TimesheetEntries.response/0","ref":"Humaans.TimesheetEntries.html#t:response/0"},{"type":"function","doc":"Retrieves a specific timesheet entry by ID.","title":"Humaans.TimesheetEntries.retrieve/2","ref":"Humaans.TimesheetEntries.html#retrieve/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the timesheet entry to retrieve","title":"Parameters - Humaans.TimesheetEntries.retrieve/2","ref":"Humaans.TimesheetEntries.html#retrieve/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, entry} = Humaans.TimesheetEntries.retrieve(client, \"entry_id\")","title":"Examples - Humaans.TimesheetEntries.retrieve/2","ref":"Humaans.TimesheetEntries.html#retrieve/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetEntries.retrieve/2","ref":"Humaans.TimesheetEntries.html#c:retrieve/2"},{"type":"function","doc":"Updates a specific timesheet entry by ID.","title":"Humaans.TimesheetEntries.update/3","ref":"Humaans.TimesheetEntries.html#update/3"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the timesheet entry to update\n  * `params` - Map of parameters to update","title":"Parameters - Humaans.TimesheetEntries.update/3","ref":"Humaans.TimesheetEntries.html#update/3-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{startTime: \"10:00:00\", endTime: \"18:00:00\"}\n\n    {:ok, updated_entry} = Humaans.TimesheetEntries.update(client, \"entry_id\", params)","title":"Examples - Humaans.TimesheetEntries.update/3","ref":"Humaans.TimesheetEntries.html#update/3-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetEntries.update/3","ref":"Humaans.TimesheetEntries.html#c:update/3"},{"type":"behaviour","doc":"This module provides functions for managing timesheet submission resources in\nthe Humaans API. Timesheet submissions represent a collection of timesheet\nentries for a specific time period that has been submitted for review and\napproval.","title":"Humaans.TimesheetSubmissions","ref":"Humaans.TimesheetSubmissions.html"},{"type":"function","doc":"Creates a new timesheet submission resource.","title":"Humaans.TimesheetSubmissions.create/2","ref":"Humaans.TimesheetSubmissions.html#create/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Map of parameters for the new timesheet submission","title":"Parameters - Humaans.TimesheetSubmissions.create/2","ref":"Humaans.TimesheetSubmissions.html#create/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{\n      personId: \"person_id\",\n      startDate: \"2023-01-01\",\n      endDate: \"2023-01-31\",\n      status: \"pending\"\n    }\n\n    {:ok, submission} = Humaans.TimesheetSubmissions.create(client, params)","title":"Examples - Humaans.TimesheetSubmissions.create/2","ref":"Humaans.TimesheetSubmissions.html#create/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetSubmissions.create/2","ref":"Humaans.TimesheetSubmissions.html#c:create/2"},{"type":"function","doc":"Deletes a specific timesheet submission by ID.","title":"Humaans.TimesheetSubmissions.delete/2","ref":"Humaans.TimesheetSubmissions.html#delete/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the timesheet submission to delete","title":"Parameters - Humaans.TimesheetSubmissions.delete/2","ref":"Humaans.TimesheetSubmissions.html#delete/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, result} = Humaans.TimesheetSubmissions.delete(client, \"submission_id\")\n    # result contains %{id: \"submission_id\", deleted: true}","title":"Examples - Humaans.TimesheetSubmissions.delete/2","ref":"Humaans.TimesheetSubmissions.html#delete/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetSubmissions.delete/2","ref":"Humaans.TimesheetSubmissions.html#c:delete/2"},{"type":"type","doc":"","title":"Humaans.TimesheetSubmissions.delete_response/0","ref":"Humaans.TimesheetSubmissions.html#t:delete_response/0"},{"type":"function","doc":"Lists all timesheet submission resources.\n\nReturns a list of timesheet submission resources that match the optional filters provided in `params`.","title":"Humaans.TimesheetSubmissions.list/2","ref":"Humaans.TimesheetSubmissions.html#list/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `params` - Optional parameters for filtering the results (default: `%{}`)","title":"Parameters - Humaans.TimesheetSubmissions.list/2","ref":"Humaans.TimesheetSubmissions.html#list/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    # List all timesheet submissions\n    {:ok, submissions} = Humaans.TimesheetSubmissions.list(client)\n\n    # List with filtering parameters\n    {:ok, submissions} = Humaans.TimesheetSubmissions.list(client, %{personId: \"person_id\"})","title":"Examples - Humaans.TimesheetSubmissions.list/2","ref":"Humaans.TimesheetSubmissions.html#list/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetSubmissions.list/2","ref":"Humaans.TimesheetSubmissions.html#c:list/2"},{"type":"type","doc":"","title":"Humaans.TimesheetSubmissions.list_response/0","ref":"Humaans.TimesheetSubmissions.html#t:list_response/0"},{"type":"type","doc":"","title":"Humaans.TimesheetSubmissions.response/0","ref":"Humaans.TimesheetSubmissions.html#t:response/0"},{"type":"function","doc":"Retrieves a specific timesheet submission by ID.","title":"Humaans.TimesheetSubmissions.retrieve/2","ref":"Humaans.TimesheetSubmissions.html#retrieve/2"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the timesheet submission to retrieve","title":"Parameters - Humaans.TimesheetSubmissions.retrieve/2","ref":"Humaans.TimesheetSubmissions.html#retrieve/2-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    {:ok, submission} = Humaans.TimesheetSubmissions.retrieve(client, \"submission_id\")","title":"Examples - Humaans.TimesheetSubmissions.retrieve/2","ref":"Humaans.TimesheetSubmissions.html#retrieve/2-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetSubmissions.retrieve/2","ref":"Humaans.TimesheetSubmissions.html#c:retrieve/2"},{"type":"function","doc":"Updates a specific timesheet submission by ID.","title":"Humaans.TimesheetSubmissions.update/3","ref":"Humaans.TimesheetSubmissions.html#update/3"},{"type":"function","doc":"* `client` - Client map created with `Humaans.new/1`\n  * `id` - String ID of the timesheet submission to update\n  * `params` - Map of parameters to update","title":"Parameters - Humaans.TimesheetSubmissions.update/3","ref":"Humaans.TimesheetSubmissions.html#update/3-parameters"},{"type":"function","doc":"client = Humaans.new(access_token: \"your_access_token\")\n\n    params = %{status: \"approved\"}\n\n    {:ok, updated_submission} = Humaans.TimesheetSubmissions.update(client, \"submission_id\", params)","title":"Examples - Humaans.TimesheetSubmissions.update/3","ref":"Humaans.TimesheetSubmissions.html#update/3-examples"},{"type":"callback","doc":"","title":"Humaans.TimesheetSubmissions.update/3","ref":"Humaans.TimesheetSubmissions.html#c:update/3"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}